<?php

class w2dc_avg_review_ratings {
	public $ratings = array();
	public $ratings_count = 0;
	public $avg_values = array();
	
	private $post_id;
	
	public function __construct($post_id) {
		global $wpdb;
	
		$this->post_id = $post_id;
	
		$results = $wpdb->get_results($wpdb->prepare("SELECT pm1.meta_value FROM {$wpdb->postmeta} AS pm1 LEFT JOIN {$wpdb->postmeta} AS pm2 ON pm1.post_id=pm2.post_id WHERE pm1.meta_key='_review_ratings' AND pm2.meta_key='_listing_id' AND pm2.meta_value=%d", $post_id), ARRAY_A);
		$totals = array();
		foreach ($results AS $row) {
			$ratings = unserialize($row['meta_value']);
			$this->ratings[] = $ratings;
			$this->ratings_count++;
			foreach ($ratings AS $key=>$rating) {
				if (empty($totals[$key])) {
					$totals[$key] = $rating;
				} else {
					$totals[$key] += $rating;
				}
			}
		}
		
		foreach ($totals AS $key=>$total) {
			$this->avg_values[$key] = $total/$this->ratings_count;
		}
	}
}

class w2dc_review_rating {
	public $avg_value;

	public function __construct($avg_value) {
		$this->avg_value = $avg_value;
	}

	public function render_star($star_num) {
		$sub = $this->avg_value - $star_num;
		if ($sub >= 0 || abs($sub) <= 0.25) {
			return 'w2dc-fa-star';
		} elseif (abs($sub) >= 0.25 && abs($sub) <= 0.75) {
			return 'w2dc-fa-star-half-o';
		} else {
			return 'w2dc-fa-star-o';
		}
	}
}

?>