<?php

global $w2dc_reviews_widget_params;
$w2dc_reviews_widget_params = array(
		array(
				'type' => 'textfield',
				'param_name' => 'listings',
				'value' => '',
				'heading' => __('Comma separated string of listings IDs.', 'W2DC'),
				'description' => __('Display reviews of specific listing(s).', 'W2DC'),
		),
		array(
				'type' => 'textfield',
				'param_name' => 'perpage',
				'value' => 10,
				'heading' => __('Max number of reviews', 'W2DC'),
		),
		array(
				'type' => 'reviews_ordering',
				'param_name' => 'reviews_order_by',
				'heading' => __('Order by', 'W2DC'),
				'value' => 'votes',
				'description' => __('Order reviews by any of these parameter.', 'W2DC'),
		),
		array(
				'type' => 'dropdown',
				'param_name' => 'reviews_order',
				'value' => array(__('Ascending', 'W2DC') => 'ASC', __('Descending', 'W2DC') => 'DESC'),
				'std' => 'DESC',
				'description' => __('Direction of sorting.', 'W2DC'),
		),
		array(
				'type' => 'textfield',
				'param_name' => 'author',
				'heading' => __('Author', 'W2DC'),
				'description' => __('Enter exact ID of author or word "related" to get assigned reviews of current author (works only on listing page or author page)', 'W2DC'),
		),
		array(
				'type' => 'textfield',
				'param_name' => 'post__in',
				'heading' => __('Exact reviews', 'W2DC'),
				'description' => __('Comma separated string of reviews IDs. Possible to display exact reviews.', 'W2DC'),
		),
		array(
				'type' => 'checkbox',
				'param_name' => 'visibility',
				'heading' => __("Show only on directory pages", "W2DC"),
				'value' => 1,
				'description' => __("Otherwise it will load plugin's files on all pages.", "W2DC"),
		),
);

class w2dc_reviews_widget extends w2dc_widget {

	public function __construct() {
		global $w2dc_instance, $w2dc_reviews_widget_params;

		parent::__construct(
				'w2dc_reviews_shortcode_widget',
				__('Directory - Reviews', 'W2DC')
		);

		$this->convertParams($w2dc_reviews_widget_params);
	}
	
	public function render_widget($instance, $args) {
		global $w2dc_instance;
		
		// when visibility enabled - show only on directory pages
		if (empty($instance['visibility']) || !empty($w2dc_instance->frontend_controllers)) {
			$instance['include_get_params'] = 0;
			
			$controller = new w2dc_reviews_controller();
			$controller->init($instance);
			
			if ($controller->query->have_posts()) {
				if (isset($instance['title'])) {
					$title = apply_filters('widget_title', $instance['title']);
				}
		
				echo $args['before_widget'];
				if (!empty($title)) {
					echo $args['before_title'] . $title . $args['after_title'];
				}
				echo '<div class="w2dc-content w2dc-widget w2dc-listings-widget">';
				w2dc_renderTemplate(array(W2DC_RATINGS_TEMPLATES_PATH, 'reviews_widget.tpl.php'), array('frontend_controller' => $controller));
				echo '</div>';
				echo $args['after_widget'];
			}
		}
	}
}
?>