<div class="w2dc-content">
	<?php w2dc_renderMessages(); ?>

	<h2><?php echo sprintf(__('Edit Review "%s"', 'W2DC'), $review->title()); ?></h2>

	<div class="w2dc-edit-listing-wrapper w2dc-row">
		<?php if ($listing_info): ?>
		<?php w2dc_renderTemplate($info_template, array('object' => $review)); ?>
		<?php endif; ?>
		<div class="w2dc-edit-listing-form w2dc-col-md-<?php echo ($listing_info) ? 9: 12; ?>">
			<form action="" method="POST" enctype="multipart/form-data">
				<input type="hidden" name="referer" value="<?php echo $frontend_controller->referer; ?>" />
				<?php wp_nonce_field('w2dc_submit', '_submit_nonce'); ?>
				
				<div class="w2dc-submit-section w2dc-submit-section-title">
					<h3 class="w2dc-submit-section-label"><?php _e('Review title', 'W2DC'); ?><span class="w2dc-red-asterisk">*</span></h3>
					<div class="w2dc-submit-section-inside">
						<input type="text" name="post_title" style="width: 100%" class="w2dc-form-control" value="<?php if ($review->post->post_title != __('Auto Draft', 'W2DC')) echo esc_attr($review->post->post_title); ?>" />
					</div>
				</div>
		
				<div class="w2dc-submit-section w2dc-submit-section-rating">
					<?php if (!$w2dc_instance->reviews_manager->getRatingsCriterias()): ?>
					<h3 class="w2dc-submit-section-label"><?php _e('Review rating', 'W2DC'); ?><span class="w2dc-red-asterisk">*</span></h3>
					<div class="w2dc-submit-section-inside">
						<?php w2dc_renderTemplate(array(W2DC_RATINGS_TEMPLATES_PATH, 'avg_rating.tpl.php'), array('avg_rating' => $review->avg_rating, 'post_id' => $review->post->ID, 'noajax' => true, 'meta_tags' => false, 'active' => true, 'show_avg' => false)); ?>
					</div>
					<?php else: ?>
					<h3 class="w2dc-submit-section-label"><?php _e('Review ratings', 'W2DC'); ?></h3>
					<div class="w2dc-submit-section-inside">
						<?php $w2dc_instance->reviews_manager->ratingsCriteriasMetabox($review->post); ?>
					</div>
					<?php endif; ?>
				</div>
		
				<div class="w2dc-submit-section w2dc-submit-section-description">
					<h3 class="w2dc-submit-section-label"><?php _e('Description', 'W2DC'); ?><span class="w2dc-red-asterisk">*</span></h3>
					<div class="w2dc-submit-section-inside">
						<?php wp_editor($review->post->post_content, 'post_content', array('media_buttons' => false, 'editor_class' => 'w2dc-editor-class')); ?>
					</div>
				</div>
			
				<?php if (get_option("w2dc_reviews_images_number") > 0): ?>
				<div class="w2dc-submit-section w2dc-submit-section-media">
					<h3 class="w2dc-submit-section-label"><?php _e('Review Media', 'W2DC'); ?></h3>
					<div class="w2dc-submit-section-inside">
						<?php $w2dc_instance->media_manager->mediaMetabox($review->post, array('args' => array('target' => 'reviews'))); ?>
					</div>
				</div>
				<?php endif; ?>
				
				<?php if ($w2dc_instance->reviews_manager->getRatingsCriterias()): ?>
				<div class="w2dc-submit-section w2dc-submit-section-contact-email">
					
				</div>
				<?php endif; ?>
				
				<?php do_action('w2dc_edit_review_metaboxes_post', $review); ?>
		
				<?php require_once(ABSPATH . 'wp-admin/includes/template.php'); ?>
				<?php submit_button(__('Save changes', 'W2DC'), 'w2dc-btn w2dc-btn-primary', 'submit', false); ?>
				&nbsp;&nbsp;&nbsp;
				<?php submit_button(__('Cancel', 'W2DC'), 'w2dc-btn w2dc-btn-primary', 'cancel', false); ?>
			</form>
		</div>
	</div>
</div>